> For the complete documentation index, see [llms.txt](https://docs.hydromancer.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hydromancer.xyz/readme/rest-api/borrow-lend/borrowlendreservestate.md).

# borrowLendReserveState

Returns the borrow/lend reserve state for a single token by its token index.

<table><thead><tr><th width="115">Field</th><th width="177">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td>string</td><td>Must be <code>"borrowLendReserveState"</code></td></tr><tr><td><code>token</code></td><td>int</td><td>Token index (required)</td></tr></tbody></table>

## Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "borrowLendReserveState",
    "token": 0
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os
import json

response = requests.post(
    'https://api.hydromancer.xyz/info',
    json={
        'type': 'borrowLendReserveState',
        'token': 0
    },
    headers={
        'Authorization': f'Bearer {os.environ["HYDROMANCER_API_KEY"]}',
        'Content-Type': 'application/json'
    }
)
print(json.dumps(response.json(), indent=2))
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
import axios from 'axios';

const response = await axios.post(
  'https://api.hydromancer.xyz/info',
  {
    type: 'borrowLendReserveState',
    token: 0
  },
  {
    headers: {
      'Authorization': `Bearer ${process.env.HYDROMANCER_API_KEY}`,
      'Content-Type': 'application/json'
    }
  }
);

console.log(JSON.stringify(response.data, null, 2));
```

{% endtab %}
{% endtabs %}

***

## Response Fields

| Field              | Type   | Description                             |
| ------------------ | ------ | --------------------------------------- |
| `borrowYearlyRate` | string | Annualized borrow rate                  |
| `supplyYearlyRate` | string | Annualized supply rate                  |
| `balance`          | string | Reserve balance                         |
| `utilization`      | string | Utilization ratio (borrowed / supplied) |
| `oraclePx`         | string | Oracle price of the token               |
| `ltv`              | string | Loan-to-value ratio                     |
| `totalSupplied`    | string | Total supplied to the reserve           |
| `totalBorrowed`    | string | Total borrowed from the reserve         |

<details>

<summary>Response</summary>

```json
{
  "borrowYearlyRate": "0.05",
  "supplyYearlyRate": "0.0141878137",
  "balance": "75035169.4813607037",
  "utilization": "0.3152847491",
  "oraclePx": "1.0",
  "ltv": "0.0",
  "totalSupplied": "109585941.8306342065",
  "totalBorrowed": "34550776.179527849"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/rest-api/borrow-lend/borrowlendreservestate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
